# ApplicationFramework
PTKernel
PColStd

# PColStd_FieldOfHArray2OfInteger Class Reference

`#include <PColStd_FieldOfHArray2OfInteger.hxx>`

Inheritance diagram for PColStd_FieldOfHArray2OfInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_FieldOfHArray2OfInteger ()
Standard_EXPORT | PColStd_FieldOfHArray2OfInteger (const Standard_Integer Size)
Standard_EXPORT | PColStd_FieldOfHArray2OfInteger (const PColStd_FieldOfHArray2OfInteger &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColStd_FieldOfHArray2OfInteger &Other)
void | operator= (const PColStd_FieldOfHArray2OfInteger &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
Standard_EXPORT Standard_Integer & | Value (const Standard_Integer Index) const
Standard_Integer & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColStd_FieldOfHArray2OfInteger ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColStd_FieldOfHArray2OfInteger_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_FieldOfHArray2OfInteger::PColStd_FieldOfHArray2OfInteger | ( |  | ) |

Standard_EXPORT PColStd_FieldOfHArray2OfInteger::PColStd_FieldOfHArray2OfInteger | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColStd_FieldOfHArray2OfInteger::PColStd_FieldOfHArray2OfInteger | ( | const PColStd_FieldOfHArray2OfInteger & | Varray | ) |

PColStd_FieldOfHArray2OfInteger::~PColStd_FieldOfHArray2OfInteger | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColStd_FieldOfHArray2OfInteger::Assign | ( | const PColStd_FieldOfHArray2OfInteger & | Other | ) |

Standard_EXPORT void PColStd_FieldOfHArray2OfInteger::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColStd_FieldOfHArray2OfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray2OfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray2OfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_Integer& PColStd_FieldOfHArray2OfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColStd_FieldOfHArray2OfInteger::operator= | ( | const PColStd_FieldOfHArray2OfInteger & | Other | ) | `[inline]`

Standard_EXPORT void PColStd_FieldOfHArray2OfInteger::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColStd_FieldOfHArray2OfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

Standard_EXPORT Standard_Integer& PColStd_FieldOfHArray2OfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_FieldOfHArray2OfInteger_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_FieldOfHArray2OfInteger.hxx